<template>
  <div class="p-2 flex h-screen w-screen items-center justify-center">
    <h1>Please wait...</h1>
  </div>
</template>

<script setup lang="ts">
const { t } = useI18n();

const meQuery = graphql(`
  query getMe {
    wallet {
        isInitialized
    }
  }
`);

const { data: me } = await useAsyncQuery(meQuery);

if (me?.value?.wallet.isInitialized === true) {
  navigateTo("/app");
} else if (me?.value?.wallet.isInitialized === false) {
  navigateTo("/init-wallet");
}

watch(me, (newData) => {
  if (newData?.wallet.isInitialized === true) {
    navigateTo("/app");
  } else if (newData?.wallet.isInitialized === false) {
    navigateTo("/init-wallet");
  }
});
</script>

<style scoped>

</style>